mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Runtime.InteropServices.ComVisible(true)

Impersonation is the ability of a process to take on the security attributes of another process.

Defines security impersonation levels. Security impersonation levels govern the degree to which a server process can act on behalf of a client process.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.TokenImpersonationLevel

  The server process cannot obtain identification information about the client, and it cannot impersonate the client.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.TokenImpersonationLevel

  The server process can impersonate the client's security context on remote systems.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.TokenImpersonationLevel

  The server process can obtain information about the client, such as security identifiers and privileges, but it cannot impersonate the client. This is useful for servers that export their own objects, for example, database products that export tables and views. Using the retrieved client-security information, the server can make access-validation decisions without being able to use other services that are using the client's security context.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.TokenImpersonationLevel

  The server process can impersonate the client's security context on its local system. The server cannot impersonate the client on remote systems.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.TokenImpersonationLevel

  An impersonation level is not assigned.